Bug 478877 - Review Request: python-progressbar - Text progressbar library for python
Review Request: python-progressbar - Text progressbar library for python
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-05 14:57 EST by Christof Damian
Modified: 2015-01-26 15:11 EST (History)
4 users (show)

See Also:
Fixed In Version: python-progressbar-2.3-4.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-15 03:10:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christof Damian 2009-01-05 14:57:02 EST
Spec URL: http://rpms.damian.net/SPECS/python-progressbar.spec
SRPM URL: http://rpms.damian.net/SRPMS/python-progressbar-2.2-1.fc10.src.rpm
Description: 
This library provides a text mode progress bar. This is typically used to 
display the progress of a long running operation, providing a visual clue that 
processing is under way.

The progressbar module is very easy to use, yet very powerful. And 
automatically supports features like auto-resizing when available.
Comment 1 Mamoru TASAKA 2009-01-06 13:17:51 EST
Well, another simple package.

- For upstream URL, I think
  http://pypi.python.org/pypi/%{realname}/
  is enough

- For rpmlint issue:
---------------------------------------------------------
E: non-executable-script /usr/lib/python2.6/site-packages/progressbar.py 0644
---------------------------------------------------------
  If this script is not meant to be executed directory by user
  (i.e. is meant loaded by other applications, for example), usually
  this script should not have shebang.
Comment 2 Christof Damian 2009-01-06 13:43:47 EST
(In reply to comment #1)
> Well, another simple package.

I thought I start with the small ones and the ones I use myself.

> - For upstream URL, I think
>   http://pypi.python.org/pypi/%{realname}/
>   is enough

ok.

> - For rpmlint issue:
> ---------------------------------------------------------
> E: non-executable-script /usr/lib/python2.6/site-packages/progressbar.py 0644
> ---------------------------------------------------------
>   If this script is not meant to be executed directory by user
>   (i.e. is meant loaded by other applications, for example), usually
>   this script should not have shebang.

I noticed this too, but I had a look at other packages which I have installed (for example yum) and other package reviews and this seems to be quite common.

The file contains tests, but is not executable because it is in /usr/lib/
Comment 3 Mamoru TASAKA 2009-01-08 12:45:11 EST
(In reply to comment #2)
> (In reply to comment #1)
> > - For rpmlint issue:
> > ---------------------------------------------------------
> > E: non-executable-script /usr/lib/python2.6/site-packages/progressbar.py 0644
> > ---------------------------------------------------------
> >   If this script is not meant to be executed directory by user
> >   (i.e. is meant loaded by other applications, for example), usually
> >   this script should not have shebang.
> 
> I noticed this too, but I had a look at other packages which I have installed
> (for example yum) and other package reviews and this seems to be quite common.
> 
> The file contains tests, but is not executable because it is in /usr/lib/

Oh, actually this script is executable (this script contains
__main__ section and actually python progressbar.py does some
program). So this script should have 0755 permission.
Comment 4 Christof Damian 2009-01-08 14:05:45 EST
(In reply to comment #3)
> Oh, actually this script is executable (this script contains
> __main__ section and actually python progressbar.py does some
> program). So this script should have 0755 permission.

I know. This is very common and opinions on how to handle this seem to be split. 

On my system I have 73 files like this in /usr/lib/python2.5/site-packages and subdirectories and only 10 are executable. In my opinion it is best to ignore rpmlint in this case. Fixing this just makes the %files section more complicated. But I am the Fedora beginner, so I trust you.

I have updated the files:

Spec URL: http://rpms.damian.net/SPECS/python-progressbar.spec
SRPM URL: http://rpms.damian.net/SRPMS/python-progressbar-2.2-3.fc10.src.rpm
Comment 5 Mamoru TASAKA 2009-01-08 14:14:18 EST
I think
chmod 0755 $RPM_BUILD_ROOT/%python_sitelib/progressbar.py
at %install is simpler.
Comment 6 Christof Damian 2009-01-08 14:59:05 EST
(In reply to comment #5)
> I think
> chmod 0755 $RPM_BUILD_ROOT/%python_sitelib/progressbar.py
> at %install is simpler.

yes, much better to read too. cheers.

Spec URL: http://rpms.damian.net/SPECS/python-progressbar.spec
SRPM URL: http://rpms.damian.net/SRPMS/python-progressbar-2.2-4.fc10.src.rpm
Comment 7 Mamoru TASAKA 2009-01-09 12:36:24 EST
For -4:

* Files
  -  In %files:

------------------------------------------------------
    49  %{python_sitelib}
------------------------------------------------------
    Well, this contains the directory %{python_sitelib} itself,
    which should not be owned by this package as this directory
    is owned by python package.
Comment 8 Christof Damian 2009-01-09 14:29:51 EST
(In reply to comment #7)
> For -4:
> 
> * Files
>   -  In %files:
> 
> ------------------------------------------------------
>     49  %{python_sitelib}
> ------------------------------------------------------
>     Well, this contains the directory %{python_sitelib} itself,
>     which should not be owned by this package as this directory
>     is owned by python package.

Spec URL: http://rpms.damian.net/SPECS/python-progressbar.spec
SRPM URL: http://rpms.damian.net/SRPMS/python-progressbar-2.2-5.fc10.src.rpm
Comment 9 Mamoru TASAKA 2009-01-11 08:59:49 EST
Okay.

----------------------------------------------------------------
    This package (python-progressbar) is APPROVED by mtasaka
----------------------------------------------------------------

Please follow the procedure written on:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Install the Client Tools (Koji)".

Now I am sponsoring you.

If you want to import this package into Fedora 9/10, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on koji Fedora rebuilding system).

If you have questions, please ask me.

Removing NEEDSPONSOR.
Comment 10 Christof Damian 2009-01-11 09:23:32 EST
New Package CVS Request
=======================
Package Name: python-progressbar
Short Description: Text progressbar library for python
Owners: cdamian
Branches: F-10 EL-5
InitialCC:
Comment 11 Kevin Fenzi 2009-01-11 12:20:10 EST
cvs done.
Comment 12 Mamoru TASAKA 2009-01-14 10:06:07 EST
Please rebuild your package also on F-10 and EL-5, and
for F-10 please visit bodhi
https://admin.fedoraproject.org/updates/
and submit updates request.
Comment 13 Christof Damian 2009-01-14 16:41:11 EST
(In reply to comment #12)
> Please rebuild your package also on F-10 and EL-5, and
> for F-10 please visit bodhi
> https://admin.fedoraproject.org/updates/
> and submit updates request.

those are now done too.
Comment 14 Mamoru TASAKA 2009-01-15 03:10:31 EST
Okay, thanks.
Comment 15 Truong Anh Tuan 2015-01-07 11:12:36 EST
Package Change Request
======================
Package Name: python-progressbar
New Branches: epel7
Owners: tuanta cdamian
InitialCC: tbielawa
Comment 16 Gwyn Ciesla 2015-01-07 11:25:52 EST
Git done (by process-git-requests).
Comment 17 Fedora Update System 2015-01-07 20:00:24 EST
python-progressbar-2.3-4.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/python-progressbar-2.3-4.el7
Comment 18 Fedora Update System 2015-01-26 15:11:37 EST
python-progressbar-2.3-4.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.